do_menu(3)

NAME
do_menu

SYNOPSIS
#include <allegro.h>

int do_menu(MENU *menu, int x, int y);

DESCRIPTION
Displays and animates a popup menu at the specified screen coordinates (these will be adjusted if the menu does not entirely fit on the screen). Returns the index of the menu item that was selected, or -1 if the menu was cancelled. Note that the return value cannot indicate selection from child menus, so you will have to use the callback functions if you want multi-level menus.

SEE ALSO
d_menu_proc(3), active_menu(3), gui_menu_draw_menu(3)